Index: trunk/examples/extended/visualization/userVisAction/GNUmakefile
===================================================================
--- trunk/examples/extended/visualization/userVisAction/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2005/10/18 18:09:14 allison Exp $
+# $Id: GNUmakefile,v 1.2 2010/01/11 17:08:59 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -9,5 +9,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/visualization/userVisAction/History
===================================================================
--- trunk/examples/extended/visualization/userVisAction/History	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.3 2006/11/06 20:12:13 allison Exp $
+$Id: History,v 1.4 2009/12/22 15:07:19 allison Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,7 @@
      ----------------------------------------------------------
      
+22nd December 2009  John Allison  (exam-ext-vis-UVA-V09-03-00)
+- Introduced G4UIExecutive.
+
 6th November 2006  John Allison  (exam-ext-vis-UVA-V08-01-00)
 - Remove Mac dylib special - no longer necessary.
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_ChamberParameterisation.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_ChamberParameterisation.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_ChamberParameterisation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_ChamberParameterisation.hh,v 1.2 2006/06/29 17:46:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_DetectorConstruction.hh,v 1.2 2006/06/29 17:46:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_DetectorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_DetectorMessenger.hh,v 1.2 2006/06/29 17:46:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_EventAction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_EventAction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_EventAction.hh,v 1.2 2006/06/29 17:46:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_MagneticField.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_MagneticField.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_MagneticField.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_MagneticField.hh,v 1.2 2006/06/29 17:46:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_PhysicsList.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_PhysicsList.hh,v 1.2 2006/06/29 17:46:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_PrimaryGeneratorAction.hh,v 1.2 2006/06/29 17:46:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_RunAction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_RunAction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_RunAction.hh,v 1.2 2006/06/29 17:46:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingAction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_SteppingAction.hh,v 1.2 2006/06/29 17:46:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_SteppingVerbose.hh,v 1.2 2006/06/29 17:46:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerHit.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerHit.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerHit.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_TrackerHit.hh,v 1.2 2006/06/29 17:46:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerSD.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerSD.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_TrackerSD.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_TrackerSD.hh,v 1.2 2006/06/29 17:46:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/include/UVA_VisAction.hh
===================================================================
--- trunk/examples/extended/visualization/userVisAction/include/UVA_VisAction.hh	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/include/UVA_VisAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_VisAction.hh,v 1.2 2006/06/29 17:46:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 #ifndef UVA_VISACTION_HH
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_ChamberParameterisation.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_ChamberParameterisation.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_ChamberParameterisation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_ChamberParameterisation.cc,v 1.2 2006/06/29 17:46:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_DetectorConstruction.cc,v 1.2 2006/06/29 17:46:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo...... 
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_DetectorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_DetectorMessenger.cc,v 1.2 2006/06/29 17:46:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_EventAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_EventAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_EventAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_EventAction.cc,v 1.2 2006/06/29 17:46:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_MagneticField.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_MagneticField.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_MagneticField.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_MagneticField.cc,v 1.2 2006/06/29 17:46:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //  
 //   User Field class implementation.
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_PhysicsList.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_PhysicsList.cc,v 1.2 2006/06/29 17:46:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_PrimaryGeneratorAction.cc,v 1.3 2006/11/06 20:11:51 allison Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_RunAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_RunAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_RunAction.cc,v 1.2 2006/06/29 17:46:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_SteppingAction.cc,v 1.2 2006/06/29 17:46:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_SteppingVerbose.cc,v 1.2 2006/06/29 17:47:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerHit.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerHit.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerHit.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_TrackerHit.cc,v 1.2 2006/06/29 17:47:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerSD.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerSD.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_TrackerSD.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_TrackerSD.cc,v 1.2 2006/06/29 17:47:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/visualization/userVisAction/src/UVA_VisAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/src/UVA_VisAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/src/UVA_VisAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: UVA_VisAction.cc,v 1.3 2006/06/29 17:47:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 #include "UVA_VisAction.hh"
Index: trunk/examples/extended/visualization/userVisAction/userVisAction.cc
===================================================================
--- trunk/examples/extended/visualization/userVisAction/userVisAction.cc	(revision 1230)
+++ trunk/examples/extended/visualization/userVisAction/userVisAction.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: userVisAction.cc,v 1.2 2006/06/29 17:46:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: userVisAction.cc,v 1.3 2009/12/22 15:07:19 allison Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -42,10 +42,12 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 
 #ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
 #include "UVA_VisAction.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -86,20 +88,15 @@
       
   //get the pointer to the User Interface manager 
-  G4UImanager * UI = G4UImanager::GetUIpointer();  
+  G4UImanager * UImanager = G4UImanager::GetUIpointer();  
 
   if(argc==1)
+#ifdef G4UI_USE
   // Define (G)UI terminal for interactive mode  
   { 
-    // G4UIterminal is a (dumb) terminal.
-    G4UIsession * session = 0;
-#ifdef G4UI_USE_TCSH
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif    
-
-    UI->ApplyCommand("/control/execute vis.mac");    
-    session->SessionStart();
-    delete session;
+    G4UIExecutive * ui = new G4UIExecutive(argc, argv);
+    UImanager->ApplyCommand("/control/execute vis.mac");    
+    ui->SessionStart();
+    delete ui;
+#endif
   }
   else
@@ -108,5 +105,5 @@
     G4String command = "/control/execute ";
     G4String fileName = argv[1];
-    UI->ApplyCommand(command+fileName);
+    UImanager->ApplyCommand(command+fileName);
   }
 
